<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#F2F6F7"
    android:orientation="vertical">

    <include
        android:id="@+id/title"
        layout="@layout/white_title_dark_bar" />

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/dp_14"
            android:background="@drawable/shape_sleep_bg_8dp"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_16"
                android:layout_marginTop="@dimen/dp_27"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="*"
                    android:textColor="#F66262"
                    android:textSize="@dimen/sp_12"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_3"
                    android:text="1、身高？"
                    android:textColor="@color/col_313"
                    android:textSize="@dimen/sp_15"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_39"
                android:layout_marginStart="@dimen/dp_16"
                android:layout_marginTop="@dimen/dp_16"
                android:layout_marginEnd="@dimen/dp_16"
                android:gravity="center"
                android:orientation="horizontal">

                <EditText
                    android:id="@+id/mEtHeight"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:inputType="numberDecimal"
                    android:layout_weight="1"
                    android:background="@drawable/niaosuan_message_perfect_edit"
                    android:hint="请输入身高"
                    android:paddingStart="@dimen/dp_20"
                    android:paddingEnd="@dimen/dp_20"
                    android:textColor="@color/col_313"
                    android:textColorHint="#9D9D9D"
                    android:textSize="@dimen/sp_15"
                    tools:ignore="HardcodedText" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_10"
                    android:text="cm"
                    android:textColor="@color/col_313"
                    android:textSize="@dimen/sp_15"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_16"
                android:layout_marginTop="@dimen/dp_29"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="*"
                    android:textColor="#F66262"
                    android:textSize="@dimen/sp_12"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_3"
                    android:text="2、体重？"
                    android:textColor="@color/col_313"
                    android:textSize="@dimen/sp_15"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_39"
                android:layout_marginStart="@dimen/dp_16"
                android:layout_marginTop="@dimen/dp_16"
                android:layout_marginEnd="@dimen/dp_16"
                android:gravity="center"
                android:orientation="horizontal">

                <EditText
                    android:id="@+id/mEtWeight"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:inputType="numberDecimal"
                    android:layout_weight="1"
                    android:background="@drawable/niaosuan_message_perfect_edit"
                    android:hint="请输入体重"
                    android:paddingStart="@dimen/dp_20"
                    android:paddingEnd="@dimen/dp_20"
                    android:textColor="@color/col_313"
                    android:textColorHint="#9D9D9D"
                    android:textSize="@dimen/sp_15"
                    tools:ignore="HardcodedText" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_10"
                    android:text="kg"
                    android:textColor="@color/col_313"
                    android:textSize="@dimen/sp_15"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_16"
                android:layout_marginTop="@dimen/dp_29"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="*"
                    android:textColor="#F66262"
                    android:textSize="@dimen/sp_12"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_3"
                    android:text="3、您是否吸烟？"
                    android:textColor="@color/col_313"
                    android:textSize="@dimen/sp_15"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />

            </LinearLayout>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rvFumareList"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_16"
                android:layout_marginEnd="@dimen/dp_16" />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_16"
                android:layout_marginTop="@dimen/dp_29"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="*"
                    android:textColor="#F66262"
                    android:textSize="@dimen/sp_12"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_3"
                    android:text="4、您是否饮酒？"
                    android:textColor="@color/col_313"
                    android:textSize="@dimen/sp_15"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />

            </LinearLayout>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rvDrinkList"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_16"
                android:layout_marginEnd="@dimen/dp_16" />

            <!-- 提交按钮   -->
            <TextView
                android:id="@+id/mSubmit"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_50"
                android:layout_gravity="center"
                android:layout_marginTop="@dimen/dp_18"
                android:layout_marginBottom="@dimen/dp_23"
                android:layout_marginEnd="@dimen/dp_11"
                android:layout_marginStart="@dimen/dp_11"
                android:background="@drawable/selector_login_btn"
                android:gravity="center"
                android:text="提交"
                android:textColor="@color/white"
                android:textSize="@dimen/sp_18"
                tools:ignore="HardcodedText" />

        </LinearLayout>

    </androidx.core.widget.NestedScrollView>

</LinearLayout>